# Type Alias Project2d

Project2d: (
vector3: THREE.Vector3 | Ref<THREE.Vector3>,
testModel: boolean,
) => Ref<THREE.Vector2 | null>

#### Type Declaration

- - (
    vector3: THREE.Vector3 | Ref<THREE.Vector3>,
    testModel: boolean,
    ): Ref<THREE.Vector2 | null>

  - #### Parameters

    - vector3: THREE.Vector3 | Ref<THREE.Vector3>
    - testModel: boolean

    #### Returns Ref<THREE.Vector2 | null>

- Defined in lib/vue/hooks/useFiveProject2d.ts:5